import { ERC20Token } from '../../types/token.types';
import { IPublicTokensDB } from './IPublicTokensDB';
export declare class PublicTokensDB implements IPublicTokensDB {
    private useAlternativeDB;
    getPublicTokens(chainId: number, walletAddress: string): Promise<ERC20Token[]>;
    getFetchedTokens(chainId: number, walletAddress: string): ERC20Token[];
    fetchAndUpdatePublicTokens(walletAddress: string, chainId: number): Promise<void>;
}
export declare const publicTokensDB: PublicTokensDB;
